/* Google font Icon */
@import url(https://fonts.googleapis.com/icon?family=Material+Icons);

.s-inputext {
    width: 80px;
}
.m-inputext {
    width: 120px;
}
.l-inputext {
    width: 180px;
}
.xl-inputext {
    max-width: 400px;
    width: 100%;
}

.nodisp {
    display: none !important;
}

.nowrap {
    white-space: nowrap;
}

.ellipsis {
    text-overflow: ellipsis;
}

.max-w-1 {
    max-width: 0.25rem;
}

.max-w-2 {
    max-width: 0.5rem;
}

.max-w-3 {
    max-width: 0.75rem;
}

.max-w-4 {
    max-width: 1rem;
}

.max-w-8 {
    max-width: 2rem;
}

.max-w-12 {
    max-width: 3rem;
}

.max-w-16 {
    max-width: 4rem;
}

.max-w-20 {
    max-width: 5rem;
}

.max-w-24 {
    max-width: 6rem;
}

.max-w-28 {
    max-width: 7rem;
}

.max-w-32 {
    max-width: 8rem;
}

.max-w-36 {
    max-width: 9rem;
}

.max-w-40 {
    max-width: 10rem;
}

.max-w-44 {
    max-width: 11rem;
}

.max-w-48 {
    max-width: 12rem;
}

.max-w-52 {
    max-width: 13rem;
}

.max-w-56 {
    max-width: 14rem;
}

.max-w-60 {
    max-width: 15rem;
}

.max-w-68 {
    max-width: 17rem;
}

.max-w-72 {
    max-width: 18rem;
}

.max-w-80 {
    max-width: 20rem;
}

.max-w-84 {
    max-width: 21rem;
}

.max-w-100 {
    max-width: 25rem;
}

.items-end {
    align-items: end;
}

.v-align-middle {
    vertical-align: middle;
}

.input-group {
  position: relative;
}

.input-group-append {
  position: absolute;
  bottom: 50%;
  right: 10px;
  transform: translateY(50%);
  z-index: 1;
}

input[type="password"]::-ms-reveal {
    display: none;
}

.table-hover tbody tr:hover {
    background-color: #f5f5f5;
}

.text-left {
    text-align: left;
}

.text-end {
    text-align: end;
}

.flex-column {
    display: flex;
    flex-flow: column;
    height: 100%;
}

.flex-1 {
    flex: 1;
}

.zoom-1 {
    zoom: normal;
}

/* ---------------------------- jquery ui dialog ---------------------------- */
.ui-dialog .ui-dialog-content {
    padding: 0;
}
.ui-dialog .ui-dialog-titlebar {
    background: none;
    border-radius: 0;
    border: none;
    border-bottom: 1px solid #e5e7eb;
    margin-bottom: 5px;
}
.ui-widget-overlay {
    height: 9999px;
}
.ui-dialog .ui-dialog-title{
    margin: 0;
    margin-right: 10px;
}

.ui-dialog .ui-dialog-titlebar-close {
    background: none;
    border: none;
    width: 5%;
    height: 25px;
    margin: 0;
    padding: 0;
    position: relative;
}
.ui-icon-closethick {
    background-image: none!important;
}

.ui-dialog .ui-dialog-titlebar-close span {
    display: none;
}
.ui-dialog .ui-dialog-titlebar-close {
    left: 3%;
}

.ui-dialog .ui-dialog-titlebar-close::before,
.ui-dialog .ui-dialog-titlebar-close::after {
    content: '';
    position: absolute;
    width: 2px;
    height: 100%;
    top: 0;
    left: 50%;
    background-color: #333;
}

.ui-dialog .ui-dialog-titlebar-close::before {
    transform: rotate(45deg);
}
.ui-dialog .ui-dialog-titlebar-close::after {
    transform: rotate(-45deg);
}
.ui-dialog .ui-dialog-titlebar-close:hover::before,
.ui-dialog .ui-dialog-titlebar-close:hover::after {
    opacity: 0.5;
}
/* -------------------------------------------------------------------------- */

/* --------------------------------- Loading -------------------------------- */
.loading-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.6);
    z-index: 9998;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: auto;
}
.spinner {
    animation: rotator 1.4s linear infinite;
    z-index: 9999;
}
.path {
    stroke: #6acae0;
    stroke-dasharray: 187;
    stroke-dashoffset: 0;
    transform-origin: center;
    animation: dash 1.4s ease-in-out infinite;
}
@keyframes dash {
    0% {
        stroke-dashoffset: 187;
    }
    50% {
        stroke-dashoffset: 46.75;
        transform: rotate(135deg);
    }
    100% {
        stroke-dashoffset: 187;
        transform: rotate(450deg);
    }
}
@keyframes rotator {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(270deg);
    }
}
/* -------------------------------------------------------------------------- */
/* Indigoカラーのカスタムスタイル */
/* より濃いめのIndigoカラーのカスタムスタイル */
.custom-indigo-button {
    background-color: #3f51b5; /* より濃いめのIndigoの背景カラー */
    border-color: #3f51b5; /* 枠線のカラー */
    color: #ffffff; /* テキストのカラー */
    font-weight: 600; /* フォントの太さ */
    padding: 0.5rem 1rem; /* パディング */
    border-radius: 0.375rem; /* 角丸 */
    text-transform: uppercase; /* テキストを大文字に */
    text-decoration: none; /* 下線を削除 */
    transition: background-color 0.3s ease, border-color 0.3s ease, color 0.3s ease; /* トランジション */
    display: inline-flex;
    align-items: center;
}

.custom-indigo-button:hover {
    background-color: #3648a3; /* ホバー時の背景カラー */
    border-color: #3648a3; /* ホバー時の枠線カラー */
    color: #ffffff; /* ホバー時のテキストカラー */
}

.custom-indigo-button:active {
    background-color: #3f51b5; /* クリック時の背景カラー */
    border-color: #3f51b5; /* クリック時の枠線カラー */
    color: #ffffff; /* クリック時のテキストカラー */
}

.custom-indigo-button:focus {
    outline: none; /* フォーカス時のアウトラインを削除 */
    box-shadow: 0 0 0 3px rgba(63, 81, 181, 0.5); /* フォーカス時の影 */
}
.custom-indigo-button:after {
    padding-left: 0.5rem;
	content: "\e5db";
	font-family: "Material Icons";
}
